%define upstream_name    Test-File-Contents
%define upstream_version 0.23

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No summary found
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build) >= 0.300.0
BuildRequires: perl(Test::Builder) >= 0.700.0
BuildRequires: perl(Test::More) >= 0.700.0
BuildRequires: perl(Text::Diff) >= 0.350.0
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-2.mga6
+ Revision: 1034288
- Rebuild for perl 5.22.2

* Mon Mar 21 2016 shlomif <shlomif> 0.230.0-1.mga6
+ Revision: 993785
- update to 0.23

* Thu Mar 10 2016 shlomif <shlomif> 0.220.0-1.mga6
+ Revision: 988805
- update to 0.22

* Tue Feb 02 2016 umeabot <umeabot> 0.210.0-5.mga6
+ Revision: 931985
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 748649
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-3.mga5
+ Revision: 686439
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.210.0-2.mga4
+ Revision: 525297
- Mageia 4 Mass Rebuild

* Thu May 30 2013 shlomif <shlomif> 0.210.0-1.mga4
+ Revision: 432989
- update to 0.21

* Sun Jan 13 2013 umeabot <umeabot> 0.200.0-2.mga3
+ Revision: 373519
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 19 2011 kharec <kharec> 0.200.0-1.mga2
+ Revision: 169223
- imported package perl-Test-File-Contents


* Sat Nov 19 2011 cpan2dist 0.20-1mga
- initial mageia release, generated with cpan2dist
